/*
dtmf detection xmms plugin
Copyright (C) 2003 by Jon Snell <jsnell@networkninja.com>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "/usr/src/xmms-1.2.7/xmms/i18n.h"
#include "/usr/src/xmms-1.2.7/libxmms/util.h"
#include "dtmf.h"


void dtmf_about(void)
{
	static GtkWidget *dialog;
	
	if (dialog != NULL)
		return;
	dialog = xmms_show_message(
		_("About Dtmf Removal Plugin"),
		_("Dtmf Detection Plugin\n\n"
		  "A simple dtmf detection plugin by "
		  "Jon Snell (jsnell#networkninja.com)"),
		_("Ok"), FALSE, NULL, NULL);
	fprintf(stderr,"2\n");

	gtk_signal_connect(GTK_OBJECT(dialog), "destroy",
			   GTK_SIGNAL_FUNC(gtk_widget_destroyed),
			   &dialog);
}
